<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>

<html:html>
    <head>
        <title>Using &lt;html&gt; Tags</title>
        <script language="JavaScript">
            function clicker()
            {
                confirm("You clicked the button.");
            }
        </script>
    </head>
    
    <body>
        <h1>Using &lt;html&gt; Tags</h1>

        <html:errors/>

        <html:form action="ch06_02.do" method="POST" enctype="multipart/form-data">

            <h2>Text Fields:</h2>
            <html:text property="text"/>
            <br>

            <h2>Text Areas:</h2>
            <html:textarea property="textarea" rows="10"/>
            <br>

            <h2>Checkboxes:</h2>
            <html:checkbox property="checkbox"/>Check Me
            <br>

            <h2>Radio Buttons:</h2>
            <html:radio property="radio" value="red"/>red
            <html:radio property="radio" value="green"/>green
            <html:radio property="radio" value="blue"/>blue
            <br>

            <h2>Buttons:</h2>
            <html:button onclick="clicker()" value="Click Me" property="text"/>
            <br>

            <h2>Links:</h2>
            <html:link action="ch06_02">Click Me</html:link>
            <br>

            <h2>Images:</h2>
            <html:img page="/image.jpg"/>
            <br>

            <h2>Image Controls:</h2>
            <html:image page="/imagecontrol.jpg" property=""/>
            <br>

            <h2>Select Controls:</h2>
            <html:select property="multipleSelect" size="9" multiple="true">
                <html:option value="Multi 0">Multi 0</html:option>
                <html:option value="Multi 1">Multi 1</html:option>
                <html:option value="Multi 2">Multi 2</html:option>
                <html:option value="Multi 3">Multi 3</html:option>
                <html:option value="Multi 4">Multi 4</html:option>
                <html:option value="Multi 5">Multi 5</html:option>
                <html:option value="Multi 6">Multi 6</html:option>
                <html:option value="Multi 7">Multi 7</html:option>
                <html:option value="Multi 8">Multi 8</html:option>
            </html:select>

            <h2>Multibox Controls:</h2>
                <html:multibox property="multiBox" value="a" />a
                <html:multibox property="multiBox" value="b" />b
                <html:multibox property="multiBox" value="c" />c
                <html:multibox property="multiBox" value="d" />d
                <html:multibox property="multiBox" value="e" />e
            <br>

            <h2>File Controls:</h2>
            <html:file property="file" />

            <br>
            <br>

            <html:submit value="Submit"/>
            <html:cancel/>
        </html:form>
    </body>
</html:html>